Bug 443743 - right clicking multiple item selection on desktop deselects items all except the clicked item
Summary: right clicking multiple item selection on desktop deselects items all except...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Folder (show other bugs)
Version: 5.23.0
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: regression, wayland
Depends on:
Blocks:
 
Reported: 2021-10-14 20:28 UTC by Pawel
Modified: 2021-10-15 13:13 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.1


Attachments
video of the issue (1.11 MB, video/x-matroska)
2021-10-14 20:28 UTC, Pawel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel 2021-10-14 20:28:39 UTC
Created attachment 142446 [details]
video of the issue

SUMMARY

right clicking  multiple item selection on desktop deselects items all except the clicked item.Tested on wayland, will try X11 later

Please see the attached video.

Operating System: Arch Linux
KDE Plasma Version: 5.23.0
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.13.0-1-amd-staging-drm-next-git-01198-g8ae23c1943fd (64-bit)
Graphics Platform: Wayland
Processors: 16 × AMD Ryzen 7 3700X 8-Core Processor
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 5700 XT
Comment 1 Pawel 2021-10-14 20:30:38 UTC
works fine on X11
Comment 2 Pawel 2021-10-14 20:32:17 UTC
sorry for back to back posts - I clicked save changes too quickly - seems to also work fine in regular dolphin folders on wayland. it seems it's a desktop specific issue
Comment 3 Nate Graham 2021-10-14 22:31:26 UTC
Can confirm. Oops, this was probably a regression from the change to deselect un-clicked items on *left-click*. Will investigate.
Comment 4 Nate Graham 2021-10-14 23:41:20 UTC
Yup, it's a regression from the fix for Bug 424152. Will fix it.
Comment 5 Bug Janitor Service 2021-10-14 23:42:51 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/600
Comment 6 Nate Graham 2021-10-15 13:12:36 UTC
Git commit 2b828c604f7921d967436f34f5732814849dfc29 by Nate Graham.
Committed on 14/10/2021 at 23:39.
Pushed by ngraham into branch 'master'.

Folder View: Don't cancel multi-selection with right-click

Right-clicking on multiple things is a real use case which got broken
in https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/591
while fixing the bug of un-clicked-on items remaining selected after
clicking one of them.

This commit fixes that.
FIXED-IN: 5.23.1

M  +1    -1    containments/desktop/package/contents/ui/FolderView.qml

https://invent.kde.org/plasma/plasma-desktop/commit/2b828c604f7921d967436f34f5732814849dfc29
Comment 7 Nate Graham 2021-10-15 13:13:23 UTC
Git commit 93c82a56c091f3355e26514ae093ac31dfc37a8c by Nate Graham.
Committed on 15/10/2021 at 13:13.
Pushed by ngraham into branch 'Plasma/5.23'.

Folder View: Don't cancel multi-selection with right-click

Right-clicking on multiple things is a real use case which got broken
in https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/591
while fixing the bug of un-clicked-on items remaining selected after
clicking one of them.

This commit fixes that.
FIXED-IN: 5.23.1


(cherry picked from commit 2b828c604f7921d967436f34f5732814849dfc29)

M  +1    -1    containments/desktop/package/contents/ui/FolderView.qml

https://invent.kde.org/plasma/plasma-desktop/commit/93c82a56c091f3355e26514ae093ac31dfc37a8c